> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/changelogs/version-9/v9-0-0-77669.md).

# Version 9.0.0.77669 Changelog (April 23rd, 2021)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

* Version: 9.0.0.77669
* Release Date: April 23rd, 2021
* Built with Xcode 12.3 (12C33)

## Packaging and Distribution

* XCFrameworks are now available via [CocoaPods](/ios/get-started/integration.md#integrate-with-cocoapods). This is the recommended way of integrating the Apryse SDK when using CocoaPods — please update to the latest version of CocoaPods.
* A standalone version of the Apryse SDK without the Tools UI framework is now available via Swift Package Manager: [https://github.com/ApryseSDK/pdftron-apple-package-no-tools](https://github.com/ApryseSDK/pdftron-apple-package-no-tools/).

## New

* New admin mode for the collaboration viewer
* Added a new cloudy border option when creating rectangle annotations.
* The document no longer shifts with the `UINavigationBar` when it is shown/hidden.
* Added a new [`PTPencilDrawingCreateDelegate`](https://sdk.apryse.com/api/ios/Protocols/PTPencilDrawingCreateDelegate.html) protocol which provides a [`strokeAdded:`](https://sdk.apryse.com/api/ios/Protocols/PTPencilDrawingCreateDelegate.html#/c:objc\(pl\)PTPencilDrawingCreateDelegate\(im\)strokeAdded:) callback when a new stroke is added using the [`PTPencilDrawingCreate`](https://sdk.apryse.com/api/ios/Classes/PTPencilDrawingCreate.html) tool.
* Improved the visibility of the `Complete Annotation` button when creating `Polyline`, `Polygon`, and `Cloud` annotations.
* The annotations in the [`PTAnnotationViewController`](https://sdk.apryse.com/api/ios/Classes/PTAnnotationViewController.html) can now be hidden via the new [`annotationsHidden`](https://sdk.apryse.com/api/ios/Classes/PTAnnotationViewController.html#/c:objc\(cs\)PTAnnotationViewController\(py\)annotationsHidden) property.

This release of Apryse for iOS brings the core PDF functionality inline with version 9.0 of the Apryse cross-platform APIs, including improved Office conversion.

More information can be found [here](https://github.com/iKettles/apryse-gitbook/tree/main/core/guides/release-notes.md)\*.

## Bug fixes

* Fixed an issue where the keyboard would dismiss and reappear when switching between form fields.
* Fixes an issue where measurement annotations would show the wrong measurements when viewed on other platforms.
* Fixes an issue where Callout annotations could be resized even in readonly mode.
* Fixes an issue where the viewer would flash when downloading documents with slightly varying page sizes.
* Fixes an issue when trying to validate and distribute Mac Catalyst apps using the SDK.

\*Some features in the cross-platform APIs are not currently available on mobile, these include the `Advanced Imaging Module`, the `PDF2Word Module`, and the `HTMLOutputOptions.SetContentReflow` option.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/ios/changelogs/version-9/v9-0-0-77669.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
